#ifndef BOOST_SERIALIZER_HPP
#define BOOST_SERIALIZER_HPP

#include <boost/preprocessor/iterate.hpp>
#include <boost/serializer/serialize.hpp>
#include <boost/serializer/straits_base.hpp>
#include <boost/serializer/ops.hpp>

// This is constrained by the maximum tuple size supported by Boost.
// One is subtracted for the dummy bool that is placed at the end, for now.
#define BOOST_SERIALIZER_NUM_ARGS (10 - 1)

#define BOOST_PP_ITERATION_PARAMS_1 (3,(0,BOOST_SERIALIZER_NUM_ARGS,<boost/serializer/detail/straits_iterate.hpp>))
#include BOOST_PP_ITERATE()
#undef BOOST_PP_ITERATION_PARAMS_1

#endif
